#
# spec file for package python-aiodns
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# DNS tests won't work in OBS
%bcond_with tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python3-aiodns
Version:        2.0.0
Release:        bp156.1.1
Summary:        Simple DNS resolver for asyncio
License:        MIT
Group:          Development/Libraries/Python
Url:            https://github.com/saghul/aiodns/releases
Source0:        https://github.com/saghul/aiodns/archive/aiodns-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
Requires:       python3-pycares >= 3.0.0
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with tests}
BuildRequires:  %{python_module pycares}
BuildRequires:  python3-typing
%endif
BuildArch:      noarch

%python_subpackages

%description
Simple DNS resolver for asyncio module.

%prep
%setup -q -n aiodns-aiodns-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/aiodns/

%if %{with tests}
%check
%python_exec ./tests.py
%endif

%files %{python_files}
%doc ChangeLog README.rst
%license LICENSE
%{python_sitelib}/aiodns*

%changelog
* Thu Mar 21 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 2.0.0
  * drop python2 support
  * Add support for ANY queries
* Fri Mar  1 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 1.2.0
- Fix dependencies
  * Add support for Python 3.7
  * Fix CNAME test
  * Add examples with `async` and `await`
  * Fix Python version check
  * Add gethostbyaddr
* Fri May 11 2018 toddrme2178@gmail.com
- Don't forget python_module workaround.
* Fri Feb  9 2018 sleep_walker@opensuse.org
- put LICENSE with %%license
- make conditional tests (but disable by default because of OBS build
  isolation)
* Fri Feb  9 2018 sleep_walker@opensuse.org
- install LICENSE, ChangeLog and README
- improve spec file a bit
- add URL to source
- make it proper single spec python package
* Wed Feb  7 2018 sleep_walker@opensuse.org
- let there be python-aiodns
